Update credit currency

Update a credit currency description or set its active/archive status.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired
Credit currency ID.

Request

Body
descriptionstring or nullOptional
Updated description for this credit currency. Use null to clear the description.
statusenumOptional

Set to archived to archive this credit currency, or active to restore it.

Response

200
idstring
Unique identifier for this credit currency.
namestring

Human-readable name shown for this credit currency.

keystring

Stable machine-readable key for this credit currency. Keys are unique within an organization.

statusenum
Whether this credit currency is active or archived.
descriptionstring or null
Optional description for this credit currency.
archivedAtdatetime or null
When this credit currency was archived. Null means the currency is active.
createdAtdatetime
When this credit currency was created.
updatedAtdatetime
When this credit currency was last updated.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error